module  Compare_8_bits(A,B,EQ,GT,LT);
input   [7:0] A,B;
output  EQ,GT,LT;

reg  EQ,GT,LT;

always  @(A or B)

begin
  if(A == B)
    {EQ,GT,LT}  <=  3'b100;
  else if(A > B)
    {EQ,GT,LT}  <=  3'b010;
  else if(A < B)
    {EQ,GT,LT}  <=  3'b001;
  else
    {EQ,GT,LT}  <=  3'b000;
end

endmodule

